document.addEventListener('DOMContentLoaded', () => {
  const navButtons = document.querySelectorAll('.nav-btn');
  const main = document.querySelector('main');
  
  // View switching functionality
  navButtons.forEach(button => {
    button.addEventListener('click', () => {
      navButtons.forEach(btn => btn.classList.remove('active'));
      button.classList.add('active');
      
      if (button.dataset.view === 'list') {
        main.classList.add('list-view');
      } else {
        main.classList.remove('list-view');
      }
    });
  });
  
  // Lazy loading for videos
  const videos = document.querySelectorAll('video');
  const videoObserver = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        const video = entry.target;
        video.poster = video.poster; // Trigger poster load
        videoObserver.unobserve(video);
      }
    });
  }, {
    rootMargin: '50px'
  });
  
  videos.forEach(video => videoObserver.observe(video));
  
  // Smooth scroll behavior
  document.documentElement.style.scrollBehavior = 'smooth';
});